Package org.eclipse.rdf4j.query.parser.sparql

## Class UpdateExprBuilder

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor
  - - org.eclipse.rdf4j.query.parser.sparql.TupleExprBuilder
    - - org.eclipse.rdf4j.query.parser.sparql.UpdateExprBuilder

- All Implemented Interfaces:
    `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`

      @InternalUseOnly
      public class UpdateExprBuilder
      extends TupleExprBuilder

  Extension of TupleExprBuilder that builds Update Expressions.
  Author:
    Jeen Broekstra

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.parser.sparql.TupleExprBuilder

      `TupleExprBuilder.SameTermCollector, TupleExprBuilder.VarCollector`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.parser.sparql.TupleExprBuilder

      `valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UpdateExprBuilder​(ValueFactory valueFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Add` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAdd node, Object data)` |
    `Clear` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTClear node, Object data)` |
    `Copy` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCopy node, Object data)` |
    `Create` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCreate node, Object data)` |
    `TupleExpr` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteClause node, Object data)` |
    `DeleteData` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteData node, Object data)` |
    `Modify` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteWhere node, Object data)` |
    `Clear` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDrop node, Object data)` |
    `TupleExpr` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInsertClause node, Object data)` |
    `InsertData` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInsertData node, Object data)` |
    `Load` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLoad node, Object data)` |
    `Modify` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTModify node, Object data)` |
    `Move` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMove node, Object data)` |
    `TupleExpr` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTQuadsNotTriples node, Object data)` |
    `TupleExpr` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTripleRef node, Object data)` |
    `UpdateExpr` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUpdate node, Object data)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.TupleExprBuilder

      `castToValueExpr, createAnonVar, getValueForExpr, mapValueExprToVar, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateExprBuilder

          public UpdateExprBuilder​(ValueFactory valueFactory)

      Parameters:
        `valueFactory` -

  - ### Method Detail

    - #### visit

          public UpdateExpr visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUpdate node,
                                  Object data)
                           throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public InsertData visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInsertData node,
                                  Object data)
                           throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public DeleteData visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteData node,
                                  Object data)
                           throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTQuadsNotTriples node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Modify visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteWhere node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Load visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLoad node,
                            Object data)
                     throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Clear visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTClear node,
                             Object data)
                      throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Clear visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDrop node,
                             Object data)
                      throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Create visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCreate node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Copy visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCopy node,
                            Object data)
                     throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Move visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMove node,
                            Object data)
                     throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Add visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAdd node,
                           Object data)
                    throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Modify visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTModify node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteClause node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInsertClause node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTripleRef node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `TupleExprBuilder`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`